Get multiple interactions

Get multiple interactions

The GET /interactions?calls={guids} endpoint returns categorization and call time breakdown data for up to 50 interactions. Optionally, it can also return the transcript of the recording, if requested, and sentiment summary if enabled for the account.

In this page

Headers

Header parameters in Requests (Conversation Analyzer API) apply to this endpoint.

Authorization scopes supported:

Scope

Access granted

Scope

Access granted

interaction-content:read

Entire endpoint

Request parameters

Query string parameters

calls

Type

Required

Example

Type

Required

Example

String

True

0164705c-c206-dce9-d61a-9899855326a0,0164db4a-0f05-49ba-a963-78be15c69a82,01651953-4aab-ccb9-80d4-92152cd10691

A comma-separated list of up to 50 call GUIDs.

transcript

Type

Required

Example

Type

Required

Example

Boolean

False

true

A flag indicating whether you want to receive the transcript information for the recordings. Defaults to false.

Requests

Request the transcript, categorization and call time breakdown data for a multiple call

curl -L -X GET "https://***.api.newvoicemedia.com/conversation-analyzer/interactions?calls=0164705c-c206-dce9-d61a-9899855326a0,0164db4a-0f05-49ba-a963-78be15c69a82,01651953-4aab-ccb9-80d4-92152cd10691&transcript=true" -H "Accept: application/vnd.newvoicemedia.v3+json" -H "Authorization: <ACCESS_TOKEN>"

Responses

A response to a valid GET /interactions?calls={guids} request contains interaction items representing up to 50 calls.

Successful responses

Successful requests return a 200 Success code.

[ { "categories": [ { "category": "Politeness", "categories": [ { "name": "Greeting", "matches": "1" } ] } ], "guid": "0164705c-c206-dce9-d61a-9899855326a0", "status": "processed", "confidence": "Low", "callTimeBreakDown": { "agent": 5, "customer": 1, "silence": 4, "crossTalk": 0 }, "transcript": "Case.\nHi, and yeah, just a call here. Thank you bye." "sentimentSummary": { "overallSentiment": -0.05, "categories": { "veryNegative": 20, "negative": 20, "neutral": 20, "positive": 20, "veryPositive": 20 }, "distributionOverTime": [ { "score": 0.61, "span": { "start": 0, "end": 10 } }, { "score": 0.61, "span": { "start": 10, "end": 20 } }, { "score": -0.61, "span": { "start": 20, "end": 30 } }, { "score": -0.61, "span": { "start": 30, "end": 40 } }, { "score": -0.61, "span": { "start": 40, "end": 50 } }, { "score": -0.48, "span": { "start": 50, "end": 60 } }, { "score": 0.05, "span": { "start": 60, "end": 70 } }, { "score": 0.57, "span": { "start": 70, "end": 80 } }, { "score": 0, "span": { "start": 80, "end": 90 } }, { "score": 0, "span": { "start": 90, "end": 100 } } ] }, { ... record 2 }, ... { ... record n } ]

where each interaction item contains the following parameters: